Welcome!

1-abc.net Hard Drive Washer
Delete unnecessary files from your computer!

Windows and nearly all other software that is installed on it produce temporary data. These disk space consuming files are used to remember personal data or user behaviour in the best case, but most of the time they only decrease the speed of your system the more is installed on it.

Unfortunately there are not many programs that really take care about consequences of saving temporary files to different places, with different extensions or without always deleting when possible or necessary. 1-abc.net Hard Drive Washer does what all these programs forget. It searches for these unnecessary files and offers you to delete them.

Besides conventional temporary files that normally are saved with a .tmp extension, there are more files that are not really required to keep your system running. Especially backup files that end on a .bak extension, .log files or files that were renamed to .old for security reasons months ago can be found and deleted easily with this program.

Additionally, 1-abc.net Hard Drive Washer can delete the whole content of temporary folders and allows the user to configure what files should be looked for. Of course it is also possible to edit the exceptions list for files that should not be deleted under any circumstances because not all software developers take care about what temporary files are normally meant for. Other nice features are the scheduling function (clean your hard disk each ... days) and the possibility to scan each drive including hard drives, floppy disks, camera cards and USB-sticks for unnecessary files.

To keep it absolutely secure, all unnecessary data can be deleted to the Recycle Bin to enable undoing these changes.

Feature Overview:

  • Easy-to-use interface
  • Very fast temporary files search engine
  • Cleaning all temporary folders
  • Undo function by using the Recycle Bin
  • Configurable exceptions list, add relative or full paths to files or folders
  • Scheduler to decide how often you want to start a searching process automatically
  • Start program each time when Windows starts by option
  • Drive selection to search on any re-writable media
  • Add your own unnecessary files or file extensions you want to delete
  • Close program automatically when deleting is done
  • Feature to select what files with what extensions can be deleted
  • Erase deleted files completely with the wiping feature so they can not be recovered again
  • See and modify default temporary folder
  • Check files before deleting by executing them from the results list directly
  • Add found files to exception list directly
  • See file size, creation time, last modification time and time of last file access for files to delete
  • Backup feature to copy your files to another folder before deleting
  • Full screen view for results by option or by default
  • Empty Windows Recycle Bin when leaving the program by option
  • Program can be installed on USB sticks, camera cards or nearly all other re-writable media
  • Very low system resources required

For Windows® XP / Vista / 7 / 8
Chief Developer & Documentation: Stefan Siegert
Copyright 2005-2014 1-abc.net


Before you start working with this program …

This product helps you cleaning unnecessary files. Please note that you should check your system very careful after deleting. If any program should miss one of the deleted files then, please open your Windows Recycle Bin and recycle that file or use the backup folder.

To avoid such a behaviour please read the Options chapter for more information.

The 1-abc.net team wishes you much fun with this product!


Menu

File

Start New Search
Starts a searching process. Please be patient, each single file on your hard disk will be checked.

Options
Opens the Options screen where you can configure the behaviour of the program.

Language Selection
Use this option to select the program language. If your favourite language is missing you are always welcome to to translate it, just send an e-mail to translations@1-abc.net to get more instructions.

Exit
Select this option to leave the program. Your changes will be saved automatically.

Register

Get free Trial Key
From the first time you installed this program it runs 10 days for free. You can extend this trial period to 30 days easily when you register for a free trial key. Make sure that you are online. The key will be sent to you by e-mail.

Buy Full Version now
Click here to purchase the product online. You will be connected to an online shop where you have multiple payment options, after your payment is done, the full version key will be sent to you immediately.

Enter Key
When you have a trial key or a full version key you can enter it here to change the behaviour of the program. You should re-start the program after entering the key.

Help

Show Help File
Brings you to this help file. Whether you clicked there to read it now or you pressed “F1” which would be the other way to get it displayed.

Go to 1-abc.net Website
Visit the webpage of 1-abc.net. You will find more information about this product and other software there. Make sure that you are online.

About
Copyright information about this product.


Using the Main Screen

To work with 1-abc.net Hard Drive Washer is very easy. Here you can see how the main screen looks after the search and before deleting.

When you start the program, you can decide if you want to start the search or change your personal settings in the options screen.

When you choose 'Start' your system will be checked for temporary files. Depending on how long it was since the last time you cleaned your system, this may take some minutes, please be patient. When the search is done, your screen should look similar to this screenshot. The upper tab control and its listboxes show your temporary files and the file types. You can simply click on 'Delete' to clean your system from these files now, or, if you like to keep single files on your computer, just remove the checkmark that is placed with it. As long as you won't click on 'Delete', 1-abc.net Hard Drive Washer will clean nothing.

By double-clicking a file in the results list this file will be executed directly. If you select an entry you can click on 'More Info' to see file size, creation time, last modification time and time of last access of that file. You can also click 'New Exception' to add this file to the exceptions list which can be accessed from the Options screen. With these settings you could check its content before you decide to delete it or not.

After cleaning these files are located in the Windows Recycle Bin so you can reverse the changes if necessary and if you did not configure the program in a different way.

A searching process and a deleting process can be cancel with a click on the 'Cancel' button.


Options

The options dialog offers you so many features that we decided to collect them in 5 differents screens that can be switched by clicking the tab control. This is the 1st tab of the options dialog:

On the left side you can select what extensions and what files allow the program to recognize files to be deletable. Just check or uncheck the extensions you want to have. If you like to find out more about those different kind of files and why it is suggested to delete them, take a look on this webste: www.filext.com. You can also add your own unnecessary file or extension here. Just enter this (like *.mp3) into the field below the list and click 'Add'. Please be patient what you add here, for example an entry like '*.*' would delete every single file from the selected drive! After adding you have to activate it additionally in the list to avoid any unwanted deletings.

The 2nd tab is drive selection and temp folder settings:

Here you can determine on which drive(s) the program should look for unnecessary data. Most of the time this will be C:\, but you can also scan other hard drives, USB sticks, floppy disks or whatever you want. Use 'Add Drive' and 'Remove Drive' Buttons to change the drive or to add an additional one.

At the bottom of this screen we collected some features for the default temporary folders. The first one can be checked if you want to look for unnecessary files only in the default temp folder. If the next check box is set, besides the files with extension checked above 1-abc.net Hard Drive Washer also looks for files with any extension that are saved to temporary folders like C:\Windows\Temp.

For changing this default temp folder simply click on 'Browse' and select another folder from your system.

On the 3rd tab you can easily configure files and folders excepted from the search:

Exceptions are files that should not be found for deleting. For example, some versions of Microsoft Office save important data to a file called "OPA11.bak", which would be deletable after the convention, but if you do, you would be asked to insert your Office installation CD again the next time you start the program. Simply click on 'Add File' or 'Add Folder' for files or folders that should be excepted from search independent from their location. If you only want a specific file or folder do be excluded from the search, use the buttons 'Add Full File Path' or 'Add Full Folder Path'. For removing any entry from the exception list, select it and click 'Remove Item'. Advanced users can enter something in the field at the right bottom and click on 'Add User Defined' or edit the list in Notepad manually. When you click on the button, Notepad opens this list and you can customize it the way you want. It is suggested only to add new entries, you should only delete existing entries if you are really sure what you do. When your changes are done, you only have to save the file again, then the program takes this new version. Completely excepted folders start with "\", entries without "\" are excluded files. Full file paths look like they normally look ("C:\your folder\your file.exe") and fully excluded file paths look similar, only end with a "\" ("C:\your folder\your excluded folder\").

In the next area you can activate the scheduler.

If you do so, a small program will be added to your Windows startup folder which checks if it would be time to scan your system again. If it is you get a question at Windows startup if you want to do this now, if not the program closes automatically. Just enter the number of days between two scanning procedures to the field on the right. If you set the check mark at 'Start program with Windows automatically' it does not matter how many days are entered.

On the "More Options" tab you find additional possibilities to configure the program:

"Break down long file names" means that you won't see the whole path in the main screen's listbox when files were found or deleted. Sometimes it's better to read it this way because you don't have to scroll all the time from the left to the right to see the complete file data. The next checkbox allows you do undo your deleting so it is recommended to use this option with caution. 'Close program after deleting is done' may make sense if the deleting process is expected to take much time or if you use the program as a scheduled process. 'Wiping instead of normal deleting' means that all your files that should be removed are overwritten with '0's first before they are deleted which avoids any recoverings with undelete tools. Please use this option only if you really know what you do and please note that deleting takes much more time then, though it is of course very secure. The next option here lets you see the results screen maximized by default and with the last check mark you can decide if you want to empty Windows Recycle Bin when you leave the program, which can make sense for security reasons, but please use this with highest caution anyway.

Below this you can configure the backup feature. Set the checkbox to activate this function. A backup path is created automatically the first time the program is installed, but you can change it here by using the 'Browse' button if you like.

Please note: If you made any changes here after you already searched it is suggested to start a new file search from the "File" menu.


About 1-abc.net …

1-abc.net software is a young and dynamic company, founded 2005, consisting of ambitious and highly experienced developers, marketing experts, distributors, designers, translaters and product managers. The head office is located in Germany, employees and freelancers are working from offices in seven countries all over the world.

1-abc.net's business activities include software development, software distribution and IT consulting. Meanwhile more than Windows tools and utilities are available. And this is what users get:

  • Small setup files that can be downloaded even using slow internet connections
  • Easy installation processes, uninstaller is always included
  • No adware, spyware, popups or whatever extends software nowadays
  • Very easy to handle program interfaces
  • Software that really fulfils the customers’ needs – nothing more, but also nothing less
  • Fast possibility to extend the trial period by obtaining a free registration key
  • Users can also buy 1-abc.net software on CD instead of downloading
Additionally, more and more distribution companies worldwide sell 1-abc.net software as boxes or through other channels licensed under their own label. 1-abc.net Android™ apps for mobile devices, Windows Store Apps and mobile apps for Firefox OS are available from the website http://mobile.1-abc.net.

Support

1-abc.net
Grünenstr. 120
28199 Bremen

Germany

Unfortunately we currently offer NO telephone support, please take a look at this website to find out more or to contact us via e-mail:

http://1-abc.net/support.htm